<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>TextResourceFactory (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TextResourceFactory (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/resources/TextResourceFactory.html" target="_top">Frames</a></li>
<li><a href="TextResourceFactory.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.resources</div>
<h2 title="Interface TextResourceFactory" class="title">Interface TextResourceFactory</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">TextResourceFactory</span></pre>
<div class="block">Creates <code>TextResource</code>s backed by sources such as strings, files, and archive entries.

 <p>Example usages:

 <pre class='autoTested'>
 def sourcedFromString = resources.text.fromString("some text content")

 def sourcedFromFile = resources.text.fromFile("path/to/file.txt")

 task someTask {} // assumption: produces a text file and declares it as output
 def sourcedFromTask = resources.text.fromFile(someTask)

 def sourcedFromArchiveEntry =
   resources.text.fromArchiveEntry("path/to/archive.zip", "path/to/archive/entry.txt")

 configurations { someConfig } // assumption: contains a single archive
 def sourcedFromConfiguration =
   resources.text.fromArchiveEntry(configurations.someConfig, "path/to/archive/entry.txt")
 </pre>

 File based factory methods optionally accept a character encoding. If no encoding is specified,
 the platform's default encoding is used.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.2</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/resources/TextResourceFactory.html#fromArchiveEntry(java.lang.Object,%20java.lang.String)">fromArchiveEntry</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;archive,
                <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Same as <code>fromArchiveEntry(archive, path, Charset.defaultCharset().name())</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/resources/TextResourceFactory.html#fromArchiveEntry(java.lang.Object,%20java.lang.String,%20java.lang.String)">fromArchiveEntry</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;archive,
                <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;entryPath,
                <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charset)</code>
<div class="block">Creates a text resource backed by the archive entry at the given path within the given archive.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/resources/TextResourceFactory.html#fromFile(java.lang.Object)">fromFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;file)</code>
<div class="block">Same as <code>fromFile(file, Charset.defaultCharset())</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/resources/TextResourceFactory.html#fromFile(java.lang.Object,%20java.lang.String)">fromFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;file,
        <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charset)</code>
<div class="block">Creates a text resource backed by the given file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/resources/TextResourceFactory.html#fromString(java.lang.String)">fromString</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;string)</code>
<div class="block">Creates a text resource backed by the given string.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="fromString(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromString</h4>
<pre><a href="../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;fromString(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;string)</pre>
<div class="block">Creates a text resource backed by the given string.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>string</code> - a string</dd>
<dt><span class="strong">Returns:</span></dt><dd>a text resource backed by the given string</dd></dl>
</li>
</ul>
<a name="fromFile(java.lang.Object, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromFile</h4>
<pre><a href="../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;fromFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;file,
                    <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charset)</pre>
<div class="block">Creates a text resource backed by the given file.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>file</code> - a text file evaluated as per <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a></dd><dd><code>charset</code> - the file's character encoding (e.g. <code>"utf-8"</code>)</dd>
<dt><span class="strong">Returns:</span></dt><dd>a text resource backed by the given file</dd></dl>
</li>
</ul>
<a name="fromFile(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromFile</h4>
<pre><a href="../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;fromFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;file)</pre>
<div class="block">Same as <code>fromFile(file, Charset.defaultCharset())</code>.</div>
</li>
</ul>
<a name="fromArchiveEntry(java.lang.Object, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromArchiveEntry</h4>
<pre><a href="../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;fromArchiveEntry(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;archive,
                            <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;entryPath,
                            <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charset)</pre>
<div class="block">Creates a text resource backed by the archive entry at the given path within the given archive.
 The archive format is determined based on the archive's file extension. If the archive format
 is not supported or cannot be determined, any attempt to access the resource will fail with an exception.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>archive</code> - an archive file evaluated as per <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a></dd><dd><code>entryPath</code> - the path to an archive entry</dd><dd><code>charset</code> - the archive entry's character encoding (e.g. <code>"utf-8"</code>)</dd>
<dt><span class="strong">Returns:</span></dt><dd>a text resource backed by the archive entry at the given path within the given archive</dd></dl>
</li>
</ul>
<a name="fromArchiveEntry(java.lang.Object, java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>fromArchiveEntry</h4>
<pre><a href="../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;fromArchiveEntry(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;archive,
                            <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</pre>
<div class="block">Same as <code>fromArchiveEntry(archive, path, Charset.defaultCharset().name())</code>.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/resources/TextResourceFactory.html" target="_top">Frames</a></li>
<li><a href="TextResourceFactory.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
